## NAME

s.surf.idw - Surface interpolation from sites data by Inverse Distance Squared Weighting.
(GRASS Sites Program)

## SYNOPSIS

s.surf.idw [-n] input=name output=name [npoints=count] [field=number]

## DESCRIPTION

s.surf.idw fills a raster matrix with interpolated values generated from a set of irregularly spaced data points using numerical approximation (weighted averaging) techniques. The interpolated value of a cell is determined by values of nearby data points and the distance of the cell from those input points. In comparison with other methods, numerical approximation allows representation of more complex surfaces (particularly those with anomalous features), restricts the spatial influence of any errors, and generates the interpolated surface from the data points.

This program allows the user to use a GRASS site list file, rather than a raster map layer, as input.

The program will be run non-interactively if the user specifies the values of needed program parameters and any desired optional parameter values on the command line, using the form:

  s.surf.idw [-n] input=name output=name [npoints=count] [field=number]

Alternately, the user can simply type s.surf.idw on the command line, without program arguments. In this case, the user will be prompted for needed inputs and option choices using the standard GRASS parser interface.

## OPTIONS

### Flags:

-n
  Don't index sites by cell. (for very large regions; uses less memory, but is very slow if there is a large number of sites)

### Parameters:

input=name
  Name of an input site list file that contains sites with one or more floating point attributes.
output=name
  Name to be assigned to the new output raster map layer containing a smooth surface generated from the known data values in the input site list file.
npoints=count
  The number of points to use for interpolation. By default, the 12 nearest points are used for interpolation.
  Default: 12
field=number
  Number of floating point attribute to use for interpolation.
  Default: 1

## NOTES

The amount of memory used by this program is related to the number of sites in the current region. If the site list is very dense (i.e., contains many data points), the program may not be able to get all the memory it needs from the system. The time required to execute is related to the resolution of the current region, after an initial delay determined by the time taken to read the input sites file.

If the user has a mask set, then interpolation is only done for those cells that fall within the mask. However, all sites in the current region are used even if they fall outside the mask. Sites outside the current region are not used in the interpolation. A larger region may be set and a mask used to limit interpolation to a smaller area if it is desired to use sites from outside the region in the interpolation.

If more than count sites fall into one target raster cell, the mean of all the site values will determine the cell value (unless the -n flag is specifed, in which case only the count sites closest to the centre of the cell will be interpolated).

## SEE ALSO

d.sites
g.region
r.mask
r.surf.contour
r.surf.idw
r.surf.idw2
r.surf.gauss
r.surf.fractal
r.surf.random
v.surf.rst
s.surf.rst
parser

## AUTHOR

Michael Shapiro, U.S. Army Construction Engineering Research Laboratory
Improved algorithm (indexes sites according to cell and ignores sites outside current region) by Paul Kelly

Last changed: $Date: 2003/08/20 08:10:13 $